Documentation for Face Intellect 8.0-8.1. Documentation for other versions of Intellect is available too.
Previous page Next page
General request format:
POST http://IP-address:port/firserver/UpdatePerson
Request parameters:
| Parameter | Required | Parameter description |
|---|---|---|
| server_id | Yes | ID of Face Recognition Server in Face Intellect |
| id | Yes | ID of the user in GUID format |
| name | No | Name If not specified, the name will not be updated |
| surname | No | Surname If not specified, the surname will not be updated |
| patronymic | No | Patronymic If not specified, the patronymic will not be updated |
| department | No | Department If not specified, the department will not be updated |
| comment | No | Comment If not specified, the comment will not be updated |
| additionalParams | No | Additional parameters of the Intellect user from the dbo.OBJ_PERSON table (see Base Intellect database tables) Note. Text parameter values should be enclosed in double quotes. Example: "additionalParams": "phone" : "0123456789" } If not specified, the additional parameters will not be updated. |
Request example:
POST http://127.0.0.1:10000/firserver/UpdatePerson
{
"server_id" : "1",
"id" : "FB94569E-86A6-EB11-BE5B-B06EBF811A3F",
"name" :"John",
"surname" : "Kramer",
"patronymic" : "Kramer",
"department" : "Department 2",
"comment" : "Some comment",
"additionalParams":
{
"visit_document": "F183825",
"phone": "0123456789"
}
}
Response headlines:
| Headline | Headline description |
|---|---|
| Allow | Returns the HTTP method used in request |
| Content-Length | Shows the size of characters in bytes, received in the request |
| Content-Type | Returns the type of received request |
| Server | Specifies the server from which the request comes |
| Access-Control-Request-Method | Returns the HTTP method that can be used in the request |
| Access-Control-Origin | Indicates if the code that sends the request from this source can access the server response |
| Date | Shows the time of the request |
Response example:
{
"Status": "SUCCESS",
"Result": "FB94569E-86A6-EB11-BE5B-B06EBF811A3F",
"Description": ""
}
Response parameters:
| Parameter | Parameter description |
|---|---|
| Status | Completed request status: SUCCESS — successful, if error — see List of possible errors of the Face Recognition Server |
| Result | Updated user ID in GUID format |
| Description | Request description |
